View Issue Details

IDProjectCategoryView StatusLast Update
0023101Open CASCADEOCCT:Visualizationpublic2021-12-07 12:19
Reporterkgv Assigned Tokgv  
PriorityurgentSeveritytrivial 
Status closedResolutionreopened 
PlatformLinuxOSDebian 4.0 
Target Version6.5.4Fixed in Version6.5.4 
Summary0023101: TKOpenGl possible glext header conflicts
DescriptionOCCT now packaged with own "glext.h" with sufficient definitions list (previously each OpenGL extension was hard-coded inside TKOpenGl classes).

However on new systems <GL/gl.h> automatically includes <GL/glext.h> system header. Oldest glext may provide obsolete extensions definitions that will cause compilation errors.

The macros GL_GLEXT_LEGACY macro seems to be intended to disable this behavior so trivial patch should be applied and tested.
TagsNo tags attached.
Test case numberNot needed

Relationships

related to 0023238 closedkgv Open CASCADE TKOpenGl glext header conflicts with system headers 
related to 0032720 verifiedsmoskvin Community Coding Rules - rename glext.h to OpenGl_glext.h 

Activities

kgv

2012-04-12 09:02

developer   ~0020348

CR23101 branch is prepared for testing.

apn

2012-04-12 16:54

administrator   ~0020366

Dear BugMaster,
      Workbench KAS:dev:apn-23101-occt was created from git branch CR23101 (and apn-23101-products from svn trunk) and compiled on Linux platform.
    
      There are not regressions in apn-23101-products regarding to KAS:dev:products-20120406-opt

      There is following improvement in apn-23101-products regarding to KAS:dev:products-20120406-opt:
      chl 922 R3
 
      See results in /QADisk/occttests/results/KAS/dev/apn-23101-products_12042012/lin
      See reference results in /QADisk/occttests/results/KAS/dev/products-201200406-opt_07042012/lin
      See test cases in /QADisk/occttests/tests/ED

kgv

2012-06-09 08:54

developer   ~0020681

This patch cause regression on Mac OS X system (conflicts with system X11 gl.h definitions).

kgv

2012-06-09 08:55

developer   ~0020682

Dear san,

please review corrected patch in CR23101_2 branch.

san

2012-06-09 15:01

developer   ~0020684

Branch CR23101_2 reviewed without remarks, ready for testing.

kgv

2012-06-13 13:03

developer   ~0020686

2mkv, there no need to perform all regression tests - only building.

mkv

2012-06-13 20:05

tester   ~0020688

Dear BugMaster,
The workbenches
KAS:dev:mkv-23101-occt-2 (GIT branch CR23101_2)
KAS:dev:mkv-23101-products-2 (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23101-products-2_13062012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120601-opt_02062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification

Related Changesets

occt: master 833e2f54

2012-04-12 04:55:12

kgv

Details Diff
0023101: TKOpenGl possible glext header conflicts Affected Issues
0023101
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff File

occt: master b1db572c

2012-06-15 07:56:23

kgv

Details Diff
0023101: TKOpenGl possible glext header conflicts

Fixed glext header conflict with system X11 gl.h on Mac OS X
System header provide syntactically different typedefs for some OpenGL functions (GLenum vs. GLint).
Fixed misprint in comments
Affected Issues
0023101
mod - src/OpenGl/OpenGl_GlCore11.hxx Diff File

Issue History

Date Modified Username Field Change
2012-04-12 08:43 kgv New Issue
2012-04-12 08:43 kgv Assigned To => kgv
2012-04-12 08:56 kgv Status new => assigned
2012-04-12 09:02 kgv Note Added: 0020348
2012-04-12 09:02 kgv Assigned To kgv => abv
2012-04-12 09:02 kgv Status assigned => resolved
2012-04-12 09:17 abv Assigned To abv => kgv
2012-04-12 09:17 abv Status resolved => reviewed
2012-04-12 10:50 apn Assigned To kgv => apv
2012-04-12 10:59 apn Assigned To apv => apn
2012-04-12 11:50 mkv Test case number => Not needed
2012-04-12 16:54 apn Note Added: 0020366
2012-04-12 16:54 apn Assigned To apn => bugmaster
2012-04-12 16:54 apn Status reviewed => tested
2012-04-13 11:32 kgv Changeset attached => occt master 833e2f54
2012-04-13 11:32 kgv Assigned To bugmaster => kgv
2012-04-13 11:32 kgv Status tested => verified
2012-04-13 11:32 kgv Resolution open => fixed
2012-06-09 08:54 kgv Note Added: 0020681
2012-06-09 08:54 kgv Status closed => feedback
2012-06-09 08:54 kgv Resolution fixed => reopened
2012-06-09 08:55 kgv Note Added: 0020682
2012-06-09 08:55 kgv Status feedback => assigned
2012-06-09 08:55 kgv Assigned To kgv => san
2012-06-09 08:55 kgv Status assigned => resolved
2012-06-09 15:01 san Note Added: 0020684
2012-06-09 15:01 san Assigned To san => bugmaster
2012-06-09 15:01 san Status resolved => reviewed
2012-06-13 12:57 mkv Assigned To bugmaster => mkv
2012-06-13 13:03 kgv Note Added: 0020686
2012-06-13 20:05 mkv Note Added: 0020688
2012-06-13 20:05 mkv Assigned To mkv => bugmaster
2012-06-13 20:05 mkv Status reviewed => tested
2012-06-18 12:25 kgv Changeset attached => occt master b1db572c
2012-06-18 12:25 kgv Assigned To bugmaster => kgv
2012-06-18 12:25 kgv Status tested => verified
2012-07-03 16:32 kgv Relationship added related to 0023238
2012-10-01 14:31 bugmaster Target Version 6.5.3 => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version 6.5.3 => 6.5.4
2012-11-16 13:18 bugmaster Status verified => closed
2021-12-07 12:19 kgv Relationship added related to 0032720